Summary: Utilities for infrared communication between devices.
Name: irda-utils
Version: 0.9.10
Release: 9
Source: http://www.cs.uit.no/~dagb/irda/irda-utils/irda-utils-%{version}.tar.gz
Patch1: irda-utils-0.9.4-chkconfig.patch
Patch2: irda-utils-typo.patch
Patch3: irda-utils-redhat.patch
Url: http://www.cs.uit.no/~dagb/irda/irda-utils/
Copyright: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
Prereq: /sbin/chkconfig

%description
IrDA(TM) (Infrared Data Association) is an industry standard for
wireless, infrared communication between devices. IrDA speeds range
from 9600 bps to 4 Mbps, and IrDA can be used by many modern devices
including laptops, LAN adapters, PDAs, printers, and mobile phones.

The Linux-IrDA project is a GPL'd implementation, written from
scratch, of the IrDA protocols. Supported IrDA protocols include
IrLAP, IrLMP, IrIAP, IrTTP, IrLPT, IrLAN, IrCOMM and IrOBEX.

The irda-utils package contains a collection of programs that enable
the use of IrDA protocols. Most IrDA features are implemented in the
kernel, so IrDA support must be enabled in the kernel before any IrDA
tools or programs can be used. Some configuration outside the kernel
is required, however, and some IrDA features, like IrOBEX, are
actually implemented outside the kernel.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .rh

%build
make all RPM_OPT_FLAGS="$RPM_OPT_FLAGS" ROOT="$RPM_BUILD_ROOT"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr/bin

make install ROOT="$RPM_BUILD_ROOT"

%post
/sbin/chkconfig --add irda

%preun
if [ $1 = 0 ] ; then
 /sbin/chkconfig --del irda
fi

%files
%defattr(-,root,root)
/usr/sbin/*
/usr/bin/*
%dir /etc/irda
%config /etc/irda/network
%config /etc/irda/drivers
%config /etc/rc.d/init.d/irda
%doc README
%doc irattach/README.irattach
%doc irdadump/README.irdadump
%doc irdaping/README.irdaping
%doc irkbd/README.irkbd
%doc tekram/README.tekram

%changelog
* Wed Aug  2 2000 Bill Nottingham <notting@redhat.com>
- fix start priority (345 isn't right...)
- fix condrestart

* Sun Jul 23 2000 Trond Eivind Glomsrd <teg@redhat.com>
- source files from /etc/rc.d/init.d

* Sun Jul 23 2000 Trond Eivind Glomsrd <teg@redhat.com>
- don't prereq /etc/init.d anymore
- rename "rh-status"
- use %%{_tmppath}

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com>
- don't prereq, only require initscripts

* Mon Jun 26 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up initscripts
- chkconfigize

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuilt for next release

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.9.10
- add docs

* Fri Feb  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- strip libraries

* Mon Jan 31 2000 Bill Nottingham <notting@redhat.com>
- fix typo in initscript

* Mon Oct 11 1999 Cristian Gafton <gafton@redhat.com>
- remove some of the network config files (and hope that the package will
  still work :-)

* Sun Oct 10 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- Add the /etc/irda directory. It's needed.
- Add the /etc/rc.d/init.d/irda script to start the irda daemon
- chkconfig'ize /etc/rc.d/init.d/irda

* Fri Sep 17 1999 Cristian Gafton <gafton@redhat.com>
- build for RH 6.1
- add patch to make the damn package compile without any IrDA installed.
